Imports Microsoft.VisualBasic
Imports System.Web.Caching
Public Class clsCache
    Dim _IsUpdate As Boolean
    Dim _CachePriority As CacheItemPriority
    Dim _Hits As Integer
    Dim _Count As Integer
    ''' <summary>
    ''' 缓存状态是否正在更新一级缓存
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property IsUpdate() As Boolean
        Get
            Return _IsUpdate
        End Get
        Set(ByVal value As Boolean)
            _IsUpdate = value
        End Set
    End Property
    ''' <summary>
    ''' 缓存优先级
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property CachePriority() As CacheItemPriority
        Get
            Return _CachePriority
        End Get
        Set(ByVal value As CacheItemPriority)
            _CachePriority = value
        End Set
    End Property
    ''' <summary>
    ''' 命中次数
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Hits() As Integer
        Get
            Return _Hits
        End Get
        Set(ByVal value As Integer)
            _Hits = value
        End Set
    End Property
    ''' <summary>
    ''' 查询结果总数
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Count() As Integer
        Get
            Return _Count
        End Get
        Set(ByVal value As Integer)
            _Count = value
        End Set
    End Property
End Class
